Platform Compatibility Matrix - HVR 5.6.5

Last updated on May 11, 2022

This compatibility matrix provides information about the operating systems and DBMSs versions that are supported by HVR 5.6.5 release.

For information regarding Capture, Hub, Integrate and other features supported by HVR, refer to the respective location class requirements section or the release notes.

Hosted Database Support Policy
Often HVR supported source and target locations that can be installed on premises will be hosted by third parties such as cloud providers including (but not limited to) Alibaba, Amazon, Google, Microsoft and others. These hosted systems are generally supported by HVR as sources and targets insofar as they are compatible with their downloadable counterparts. The certification of compatibility is incumbent on the hosting provider, not HVR. Platforms have been separately documented where compatibility is not comparable and HVR has been able to implement interoperability code changes (for example, Amazon Aurora PostgreSQL).

If a provider claims compatibility then they must offer the same SQL and API calls and responses that support the features as indicated in the HVR documentation for the corresponding location class requirements in the appropriate source and target sections. In cases where compatibility is not complete then support is not guaranteed. Any issue that may exhibit itself on the hosted platform must be reproducible on an equivalent downloadable version to be considered a bug in the HVR software.

Blank cell indicates "not supported".

HVR Platform Name

aix_6.1-powerpc-64bit

linux_glibc2.12-x64-64bit

macos-x64-64bit

solaris_10-sparcv9-64bit

solaris_10-x64-64bit

windows-x64-64bit

Operating System

AIX: 6.1, 7.1, 7.2

Linux (x86-64 bit) based on GLIBC 2.12 and higher. This includes:

  • Red Hat Enterprise Linux Server: 6.x, 7.x
  • SUSE Linux Enterprise Server: 12.x, 15.x
  • Machines imaged from Amazon Linux AMI or Amazon Linux 2

macOS Sierra: 10.12.x

Solaris for SPARC: 10, 11.x

Solaris for Intel/AMD: 10, 11.x

Windows (PC): 8, 10
Windows Server: 2008, 2012 R2, 2016, 20195

HVR User Interface

CLI

GUI (using X client), CLI

GUI, CLI

CLI

CLI

GUI, CLI

Azure Blob FS
Supported


Supported

Azure Data Lake Store

Supported

Supported

Azure Data Lake Storage Gen2
Supported


Supported

BigQuery*


Supported




Supported

Cassandra*


2.x, 3.x




2.x, 3.x

DB2 for i

7.1, 7.2, 7.36

7.1, 7.2, 7.36

DB2 for LUW

10.5, 11.1

10.5

10.5

10.5, 11.1

DB2 for z/OS11.1, 12.1311.1, 12.13


11.1, 12.13

File

Local, FTP/FTPS, SFTP

Local, FTP/FTPS, SFTP

Local, FTP/FTPS, SFTP

Local, FTP/FTPS, SFTP

Local, FTP/FTPS, SFTP

Local, FTP/FTPS, SFTP

Google Cloud StorageSupported2Supported2Supported2Supported2Supported2Supported2

Greenplum

4.0, 4.2, 4.3, 5.5, 5.10 to 5.21

4.0, 4.2, 4.3, 5.5, 5.10 to 5.21

HANA

1.0 SPS: 11, 12
2.0 SPS: 00, 01, 02, 03, 043

1.0 SPS: 11, 12
2.0 SPS: 00, 01, 02, 03, 043

HDFS

2.2.0 and higher

2.2.0 and higher

Hive ACID

1.2.x, 2.1.x, 2.2.x, 2.3.x, 3.0.x, 3.1.x

1.2.x, 2.1.x, 2.2.x, 2.3.x, 3.0.x, 3.1.x

Ingres /
Vector /
Vector(H)

Ingres: 9.1, 9.2, 9.3, 10.0, 10.1, 10.2, 11.07

Ingres: 10.0, 10.1, 10.2, 11.0
Vector: 2.x, 3.x, 4.x, 5.0, 5.1
Vector(H): 4.x

Ingres: 9.1, 9.2, 9.3, 10.0, 10.1, 10.2, 11.0

 Ingres: 10.21

Ingres: 10.0, 10.1, 10.2, 11.0
Vector: 2.x, 3.x, 4.x, 5.0, 5.1
Vector(H): 4.x

Kafka

0.8 and higher

0.8 and higher

MongoDB*


3.x




3.x

MySQL /
MariaDB /
Aurora MySQL / Cloud SQL for MySQL

MySQL: 5.6, 5.7, 8
MariaDB: 10.0, 10.1, 10.2, 10.3, 10.47
Aurora MySQL: 5.6, 5.7
Cloud SQL for MySQL: 5.62, 5.72

MySQL: 5.6, 5.7, 8
MariaDB: 10.0, 10.1, 10.2, 10.3, 10.47
Aurora MySQL: 5.6, 5.7
Cloud SQL for MySQL: 5.62, 5.72

Oracle

10.2, 11.2, 12.1, 19c5

11.1, 11.2, 12.1, 12.2, 18c, 19c4, Exadata

10.2, 11.2, 12.1

11.2, 12.1

10.2, 11.1, 11.2, 12.1, 12.2, 18c, 19c4

PostgreSQL /
Aurora PostgreSQL /
Cloud SQL for PostgreSQL

PostgreSQL: 8.x, 9.x, 10, 11#
Aurora PostgreSQL**: 9.x, 10, 11#
Cloud SQL for PostgreSQL: 9.62, 112

PostgreSQL: 9.x, 10, 11#
Aurora PostgreSQL**: 9.x, 10, 11#
Cloud SQL for PostgreSQL: 9.62, 112

Redshift

Supported

Supported

S3

Supported

Supported

Supported

Supported

Supported

Supported

Salesforce

Supported

Supported

Supported

Supported

Supported

Snowflake

Supported

Supported

SQL Server /
Azure SQL Database /
Azure Synapse Analytics

SQL Server: 2017
Azure SQL Database: Supported
Azure Synapse Analytics: Supported

SQL Server: 2008, 2012, 2014, 2016, 2017
Azure SQL Database: Supported
Azure Synapse Analytics: Supported

Teradata

 15.x, 16.x

14.x, 15.x, 16.x

15.x, 16.x

15.x, 16.x

WebDAV / Sharepoint

2010, Online

2010, Online

2010, Online

2010, Online

2010, Online

2010, Online

* - This DBMS require AgentPlugin for enabling replication in HVR. 

# - HVR supports only PostgreSQL 10 features.

** - This includes the Aurora PostgreSQL versions 1.x, 2.x, 3.x, 4.x. For more information, see AWS documentation.

1 - Supported since HVR 5.6.5/1

2 - Supported since HVR 5.6.5/2

3 - Supported since HVR 5.6.5/7

4 - Supported since HVR 5.6.5/10

5 - Supported since HVR 5.6.5/11

6 - Supported since HVR 5.6.5/12

7 - Supported since HVR 5.6.5/13